## org.jibx.runtime
Interface IMarshallable

    public interface IMarshallable

Marshallable interface definition. This interface must be implemented by all classes which can be marshalled as independent units (not just as children of other objects). Classes implementing this interface may either marshal themselves directly (if there's only one marshalling format defined), or obtain an instance of the appropriate marshaller from the context and use that. This interface is automatically added by the binding compiler to all classes targeted by <mapping> elements in a binding.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Method Summary
`int` `JiBX_getIndex()` Get class index.
`void` `marshal(IMarshallingContext ctx)` Marshal self.

Method Detail

### JiBX_getIndex

    int JiBX_getIndex()

  Get class index. This returns the mapping index number for a class within the compiled bindings. It's intended primarily for internal use by the binding framework.

  Returns:
    mapping index number

### marshal

    void marshal(IMarshallingContext ctx)
                 throws JiBXException

  Marshal self. This method call is responsible for all handling of the marshalling of an object to XML text.

  Parameters:
    `ctx` - marshalling context
  Throws:
    `JiBXException` - on error in marshalling process

Project Web Site |